gtkglext-0.12.1: Binding to the GTK+ OpenGL Extension

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.OpenGL.Config

Contents

- Types
- Constructors
- Methods

Description

OpenGL frame buffer configuration object

Synopsis

- data GLConfig
- class GObjectClass o => GLConfigClass o
- castToGLConfig :: GObjectClass obj => obj -> GLConfig
- toGLConfig :: GLConfigClass o => o -> GLConfig
- data GLConfigMode
  - = GLModeRGB
  - | GLModeRGBA
  - | GLModeIndex
  - | GLModeSingle
  - | GLModeDouble
  - | GLModeStereo
  - | GLModeAlpha
  - | GLModeDepth
  - | GLModeStencil
  - | GLModeAccum
  - | GLModeMultiSample
- glConfigNew :: [GLConfigMode] -> IO GLConfig
- glConfigNewForScreen :: Screen -> [GLConfigMode] -> IO GLConfig
- glConfigGetColormap :: GLConfig -> IO Colormap
- glConfigGetLayerPlane :: GLConfig -> IO Int
- glConfigGetNAuxBuffers :: GLConfig -> IO Int
- glConfigGetNSampleBuffers :: GLConfig -> IO Int
- glConfigIsRgba :: GLConfig -> IO Bool
- glConfigIsDoubleBuffered :: GLConfig -> IO Bool
- glConfigIsStereo :: GLConfig -> IO Bool
- glConfigHasAlpha :: GLConfig -> IO Bool
- glConfigHasDepthBuffer :: GLConfig -> IO Bool
- glConfigHasStencilBuffer :: GLConfig -> IO Bool
- glConfigHasAccumBuffer :: GLConfig -> IO Bool
- glConfigGetScreen :: GLConfig -> IO Screen
- glConfigGetDepth :: GLConfig -> IO Int

# Types

data GLConfig Source

Instances

Eq GLConfig |
Ord GLConfig |
GObjectClass GLConfig |
GLConfigClass GLConfig |

class GObjectClass o => GLConfigClass o Source

Instances

GLConfigClass GLConfig |

castToGLConfig :: GObjectClass obj => obj -> GLConfig Source

toGLConfig :: GLConfigClass o => o -> GLConfig Source

data GLConfigMode Source

Constructors

GLModeRGB |
GLModeRGBA |
GLModeIndex |
GLModeSingle |
GLModeDouble |
GLModeStereo |
GLModeAlpha |
GLModeDepth |
GLModeStencil |
GLModeAccum |
GLModeMultiSample |

Instances

Bounded GLConfigMode |
Enum GLConfigMode |
Eq GLConfigMode |
Flags GLConfigMode |

# Constructors

glConfigNew Source

Arguments

:: [GLConfigMode] | `mode` - display mode bit mask.
-> IO GLConfig |

Returns an OpenGL frame buffer configuration that match the specified display mode.

glConfigNewForScreen Source

Arguments

:: Screen | `screen` - target screen.
-> [GLConfigMode] | `mode` - display mode.
-> IO GLConfig |

Returns an OpenGL frame buffer configuration that matchs the specified display mode.

# Methods

glConfigGetColormap Source

Arguments

:: GLConfig |
-> IO Colormap | returns the appropriate `Colormap`.

Gets the `Colormap` that is appropriate for the OpenGL frame buffer configuration.

glConfigGetLayerPlane Source

Arguments

:: GLConfig |
-> IO Int | returns layer plane.

Gets the layer plane (level) of the frame buffer. Zero is the default frame buffer. Positive layer planes correspond to frame buffers that overlay the default buffer, and negative layer planes correspond to frame buffers that underlie the default frame buffer.

glConfigGetNAuxBuffers Source

Arguments

:: GLConfig |
-> IO Int | returns number of auxiliary color buffers.

Gets the number of auxiliary color buffers.

glConfigGetNSampleBuffers Source

Arguments

:: GLConfig |
-> IO Int | returns number of multisample buffers.

Gets the number of multisample buffers.

glConfigIsRgba Source

Arguments

:: GLConfig |
-> IO Bool | returns `True` if the configured frame buffer is RGBA mode, `False` otherwise.

Returns whether the configured frame buffer is RGBA mode.

glConfigIsDoubleBuffered Source

Arguments

:: GLConfig |
-> IO Bool | returns `True` if the double-buffered visual is supported, `False` otherwise.

Returns whether the configuration supports the double-buffered visual.

glConfigIsStereo Source

Arguments

:: GLConfig |
-> IO Bool | returns `True` if the stereo visual is supported, `False` otherwise.

Returns whether the configuration supports the stereo visual.

glConfigHasAlpha Source

Arguments

:: GLConfig |
-> IO Bool | returns `True` if the color buffer has alpha bits, `False` otherwise.

Returns whether the configured color buffer has alpha bits.

glConfigHasDepthBuffer Source

Arguments

:: GLConfig |
-> IO Bool | returns `True` if the frame buffer has depth buffer, `False` otherwise.

Returns whether the configured frame buffer has depth buffer.

glConfigHasStencilBuffer Source

Arguments

:: GLConfig |
-> IO Bool | returns `True` if the frame buffer has stencil buffer, `False` otherwise.

Returns whether the configured frame buffer has stencil buffer.

glConfigHasAccumBuffer Source

Arguments

:: GLConfig |
-> IO Bool | returns `True` if the frame buffer has accumulation buffer, `False` otherwise.

Returns whether the configured frame buffer has accumulation buffer.

glConfigGetScreen Source

Arguments

:: GLConfig |
-> IO Screen | returns the `Screen`.

Gets the `Screen` associated with the `GLConfig`.

glConfigGetDepth Source

Arguments

:: GLConfig |
-> IO Int | returns number of bits per pixel

Gets the color depth of the OpenGL-capable visual.